
Name:           mpv
Version:        0.27.2
Release:        %mkrel 1
Summary:        Advanced General Purpose Video Player
License:        GPL-2.0+
Group:          Video
Url:            http://mpv.io/
Source0:        https://github.com/mpv-player/mpv/archive/%name-%{version}.tar.xz
Source1:        mpv.conf
Patch0:		    mpv-0.27.1-fix-vaapi-upstream-b881881dbd38a1720a9f8401fd1baafdd0dfccc0.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#------------------------------------------------------------------------------------
BuildRequires: libalsa2-devel 
BuildRequires: libarchive-devel
BuildRequires: libass-devel 
BuildRequires: libbluray-devel 
BuildRequires: libbs2b-devel 
BuildRequires: libcdio-devel 
BuildRequires: libcdio-paranoia-devel 
BuildRequires: libdrm-devel
BuildRequires: libdvdnav-devel
BuildRequires: libdvdread-devel
BuildRequires: libenca-devel
BuildRequires: libffmpeg-devel
BuildRequires: libguess-devel
BuildRequires: libjack-devel
BuildRequires: libjpeg-devel
BuildRequires: liblua5.2-devel
BuildRequires: libmowgli2-devel
BuildRequires: libopenal-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libsmbclient0-devel
BuildRequires: libv4l-devel
BuildRequires: libva-devel
BuildRequires: libvdpau-devel
BuildRequires: libwayland-devel
BuildRequires: libx11-devel
BuildRequires: libxext-devel
BuildRequires: libxinerama-devel 
BuildRequires: libxkbcommon-devel
BuildRequires: libxrandr2-devel
BuildRequires: libxrender-devel
BuildRequires: libxscrnsaver-devel
BuildRequires: libxv-devel
BuildRequires: mesa-devel
BuildRequires: pkgconfig
BuildRequires: python-docutils
BuildRequires: waf
BuildRequires: yasm
BuildRequires: x11-proto-devel
BuildRequires: zlib1-devel
#------------------------------------------------------------------------
Requires: libmowgli2_0

%description
mpv is a movie player based on MPlayer and mplayer2. It supports a wide variety
of video file formats, audio and video codecs, and subtitle types.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%name
Obsoletes:	%name-devel < %version

%description	devel
Development files for %name.

%prep
%setup -q
%patch0 -p0

%build
LDFLAGS="%{ldflags} -lSDL" \
CCFLAGS="%{optflags}" \
waf configure \
	--prefix="%{_prefix}" \
	--bindir="%{_bindir}" \
	--mandir="%{_mandir}" \
	--libdir="%{_libdir}" \
	--docdir="%{_docdir}/%{name}" \
	--confdir="%{_sysconfdir}/%{name}" \
	--disable-build-date \
	--disable-debug \
	--enable-cdda \
	--enable-dvdnav	\
	--enable-dvdread \
	--enable-encoding \
	--enable-openal \
	--enable-pulse \
	--enable-wayland \
	--enable-gl-wayland \
	--enable-egl-x11 \
	--enable-vaapi \
	--enable-vaapi-glx \
	--enable-vaapi-hwaccel \
	--enable-libmpv-shared \
	--enable-libsmbclient \
	--enable-libass \
	--enable-libass-osd \
	--enable-dvbin \
	--enable-sdl2 \
	--enable-tv \
	--enable-libarchive \
	--enable-zsh-comp 
	
waf build --verbose

%install
rm -rf %buildroot
waf --destdir=%{buildroot} install

# add a default config that prefers hardware decoding if avalaible
# vo=vaapi,opengl option seems to be deprecated - commented out
# hwdec=auto has been replaced with hwdec=vaapi
mkdir -p %{buildroot}/%{_sysconfdir}/mpv/
install -m 0644 %SOURCE1 %{buildroot}/%{_sysconfdir}/mpv/mpv.conf

%files
%defattr(-,root,root)
%doc LICENSE* Copyright README.md RELEASE_NOTES	etc/input.conf TOOLS/lua
%{_bindir}/%{name}
%doc %{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_libdir}/*.so.*
%{_datadir}/icons/hicolor/scalable/apps/mpv.svg
%{_datadir}/icons/hicolor/symbolic/apps/mpv-symbolic.svg
%{_datadir}/zsh/site-functions/_mpv
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/mpv/encoding-profiles.conf

%files devel
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Apr 06 2018 adrianomorselli <adrianomorselli> 0.27.2-1uplos2018
- update
